Delete agent configuration

Base URL
https://{kibana_url}
  • DELETE /api/apm/settings/agent-configuration
  • DELETE /s/{space_id}/api/apm/settings/agent-configuration
Auth

Path parameters

space_id string optional

An identifier for the space. If space_id is not provided in the URL, the default space is used. Refer to Spaces for more information.

Header parameters

elastic-api-version enum · default: 2023-10-31 required

The version of the API to use

Values: 2023-10-31
kbn-xsrf string required

A required header to protect against CSRF attacks

Request body

environment string

Environment

name string

Name

Responses

Successful response

application/json
result string

Result

Bad Request response

application/json
error string

Error type

message string

Error message

statusCode number

Error status code

Unauthorized response

application/json
error string

Error type

message string

Error message

statusCode number

Error status code

Forbidden response

application/json
error string

Error type

message string

Error message

statusCode number

Error status code

Not found response

application/json
error string

Error type

message string

Error message

statusCode number

Error status code

Base URL
https://{kibana_url}